#include <stdio.h>
#include <stdlib.h>
#define MAX_DL 100

void greska(char *s){
	printf("greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main(){	
	//resavamo isto kao i prethodni zadatak
	//samo koristimo citanje linijju po liniju
	//moramo da budemo izuzetno oprezni
	//jer uvodimo pretpostavku kolika je najveca duzina linije
	//drugacije ne mozemo da resimo ovaj zadatak...
	FILE *ulaz = fopen("ulaz.txt", "r");
	if(ulaz == NULL)
		greska("fopen ulaz");
	FILE *izlaz = fopen("izlaz.txt", "w");
	if(izlaz == NULL)
		greska("fopen izlaz");
	
	char s[MAX_DL];
	while(fgets(s, MAX_DL, ulaz) != NULL)
		fputs(s, izlaz);
	
	//drugi nacin da se proveri da li smo dosli do kraja datoteke
	//operativni sistem vodi racuna koliko smo procitali
	//i on moze u svakom trenutku da nam kaze da li smo na kraju
	//datoteke ili nismo
	//koristimo funkciju feof koja kao argument dobija datoteku i
	//vraca da li smo dosli do kraja ili nismo
	//na primer:
	//if(feof(ulaz))
	//ne preporucujem
	
	//nas primer:
	//while(!feof(ulaz)){
	//	fgets(s, MAX_DL, ulaz);
	//	fputs(s, izlaz);
	//}
	
	fclose(ulaz);
	fclose(izlaz);
	return 0;
}