#include <stdio.h>
#include <stdlib.h>

//nije nam receno kolika je maksimalna duzina imena datoteke
//tako da cemo morati da pretpostavimo
#define MAX_IME 100

void greska(char *s){
	printf("greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main(){
	char ulaz_ime[MAX_IME];
	char izlaz_ime[MAX_IME];
	
	//necemo sada da radimo, ali hocemo da vidimo kako se pise
	//na standardni izlaz i izlaz za gresku
	
	//standardni izlaz: printf("cao");
	//stdout - adresa na strukturu FILE koja pokazuje na 
	//standardni izlaz
	
	//standardni izlaz: fprintf(stdout, "cao")
	
	//ako hocu da pisem na izlaz za gresku:
	//standardna greska: fprintf(stderr, "cao");
	
	printf("Unesite ime ulazne datoteke: ");
	scanf("%s", ulaz_ime);
	printf("Unesite ime izlazne datoteke: ");
	scanf("%s", izlaz_ime);
	
	FILE *ulaz = fopen(ulaz_ime, "r");
	if(ulaz == NULL)
		greska("fopen ulaz");
	
	FILE *izlaz = fopen(izlaz_ime, "w");
	if(izlaz == NULL)
		greska("fopen izlaz");
	
	int stampaj = 1;
	char c;
	while((c = fgetc(ulaz)) != EOF){
		if(stampaj){
			fputc(c, izlaz);
			stampaj = 0;
		}
		else
			stampaj = 1;
	}
	
	fclose(ulaz);
	fclose(izlaz);
}