#include <stdio.h>
#include <stdlib.h>

void greska(char *s){
	printf("greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main(){
	FILE *f;
	//f je promenljiva koja predstavlja adresu
	//jedne sturkuture tipa FILE
	
	//fopen prima argumente
	//1. pozicija na disku datoteke - ime datoteke
	//	relativna adresa: "../f1/f2/a.txt"
	//	apsolutna adresa: "C://Program Files/..."
	//2. nacin na koji otvaramo datoteku:
	//	citanje: "r"
	//	pisanje: "w"
	//	citanje i pisanje: "r+" - citanje i pisanje, ali ako 
	//		fajl postoji, onda ga ne dira (ostaje stari tekst)
	//	citanje i pisanje: "w+" - citanje i pisanje, ali ako 
	//		fajl postoji, brise se i kreira ispocetka
	f = fopen("test.txt", "w");
	
	//UVEK, UVEK kada otvorimo datoteku moramo da proverimo
	//da li je doslo go grekse
	if(f == NULL)
		greska("fopen");
	
	fprintf(f, "Hello world\n");
	
	//UVEK UVEK zatvaramo datoteku, kada nam vise ne treba
	//savet je: cim je otvorimo odmah je i zatvorimo, da ne
	//bismo zaboravili, a kod pisemo izmedju
	fclose(f);
	
}